#ifdef STATISTICS
/*
 * $Id: Morpheo_statistics_deallocation.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "TopLevel/include/Morpheo.h"

namespace morpheo {

  using namespace behavioural;

#undef  FUNCTION
#define FUNCTION "Morpheo::statistics_deallocation"
  void Morpheo::statistics_deallocation (void)
  {
    log_begin(Morpheo,FUNCTION);

    log_printf(INFO,Morpheo,FUNCTION,_("<%s> : Generate Statistics file"),_name.c_str());
    
    delete _stat;
    
    log_end(Morpheo,FUNCTION);
  };

}; // end namespace morpheo
#endif
